Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class DataConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.jboss.util.NestedRuntimeException
                      org.jboss.util.DataConversionException

All Implemented Interfaces:
  NestedThrowable, Serializable

public class DataConversionException
extends NestedRuntimeException

An exception throw to indicate a problem with some type of data conversion.

Version:
  `$Revision: 1.1 $`
Author:
  Jason Dillon
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`NestedThrowable.Util`

Field Summary

Fields inherited from class org.jboss.util.NestedRuntimeException
`nested`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`DataConversionException()` Construct a `DataConversionException` with no specified detail message.
`DataConversionException(String msg)` Construct a `DataConversionException` with a specified detail message.
`DataConversionException(String msg, Throwable detail)` Construct a `DataConversionException` with a specified detail Throwable and message.
`DataConversionException(Throwable detail)` Construct a `DataConversionException` with a specified detail Throwable.

Methods inherited from class org.jboss.util.NestedRuntimeException
`getCause, getMessage, getNested, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataConversionException

    public DataConversionException(String msg)

  Construct a `DataConversionException` with a specified detail message.

Parameters:
  `msg` - Detail message

### DataConversionException

    public DataConversionException(String msg,
                                   Throwable detail)

  Construct a `DataConversionException` with a specified detail Throwable and message.

Parameters:
  `msg` - Detail message
  `detail` - Detail Throwable

### DataConversionException

    public DataConversionException(Throwable detail)

  Construct a `DataConversionException` with a specified detail Throwable.

Parameters:
  `detail` - Detail Throwable

### DataConversionException

    public DataConversionException()

  Construct a `DataConversionException` with no specified detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.